Package ru.bitel.bgbilling.kernel.event.events

# Class ContractTariffDeleteEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractTariffDeleteEvent

All Implemented Interfaces:
  `Serializable`

public class ContractTariffDeleteEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - удаление тарифа договора.
Вызывается по факту удаления тарифного плана договора.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractTariffDeleteEvent()`
  ``
  `ContractTariffDeleteEvent(int userId, int cid, int contractTariffId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractTariffId()`
  Возвращает id удаленного тарифного плана договора

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffDeleteEvent

    protected ContractTariffDeleteEvent()

  - ### ContractTariffDeleteEvent

    public ContractTariffDeleteEvent(int userId, int cid, int contractTariffId)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `cid` - - id договора
      `contractTariffId` - - id удаленного тариф договора

- ## Method Details

  - ### getContractTariffId

    public int getContractTariffId()
    Возвращает id удаленного тарифного плана договора
    Returns:
      contractTariffId - id тарифа договора